"use strict";
const common_libraries_apiLoading = require("../../common/libraries/apiLoading.js");
const gen_Apis = require("../../gen/Apis.js");
const pages_index_model = require("./model.js");
require("../../common/libraries/request.js");
const common_store_useWeAppAuthStore = require("../../common/store/useWeAppAuthStore.js");
require("../../common/store/useWorkStore.js");
common_store_useWeAppAuthStore.useWeAppAuthStore();
const method = {
  getBanner() {
    common_libraries_apiLoading.getApiLoading(gen_Apis.Apis.Banner.BannerSpaces.List, { id: 1 }).then((res) => {
      if (res == null ? void 0 : res.data) {
        pages_index_model.useModel.bannerData.value = res.data;
      }
      console.log(res);
    });
  },
  getCountBills() {
    common_libraries_apiLoading.getApiLoading(gen_Apis.Apis.Bill.HouseBills.GetCountBills, {}).then((res) => {
      var _a;
      if (res == null ? void 0 : res.data) {
        pages_index_model.useModel.countBills.value = (_a = res == null ? void 0 : res.data) == null ? void 0 : _a.count;
      }
      console.log(res);
    });
  }
};
exports.method = method;
